<?php

namespace App\Http\Requests\Orion;

use Illuminate\Foundation\Http\FormRequest;

class FilteredSearchRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            "type" => "required|string|in:movie,show",
            "queryString" => "string|nullable",
            "category" => "required|string",
        ];
    }
}
