<?php

namespace App\Http\Requests\Orion;

use Illuminate\Foundation\Http\FormRequest;

class GetStreamUrl extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules(): array
    {
        return [
            "orionId" => "required|string|min:32|max:32",
            "streamId" => "required|string|min:32|max:32"
        ];
    }
}
