const defaultTheme = require('tailwindcss/defaultTheme');

/** @type {import('tailwindcss').Config} */
module.exports = {
    content: [
        './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
        './storage/framework/views/*.php',
        './resources/views/**/*.blade.php',
    ],

    theme: {
        extend: {
            fontFamily: {
                sans: ['Nunito', ...defaultTheme.fontFamily.sans],
            },
            transitionDuration: {
                '0': '0ms',
                '2000': '2000ms',
                '5000': '5000ms',
                '10000': '10000ms'
            }
        },
    },

    plugins: [require('@tailwindcss/forms')],
};
