@props([
    "query" => $query,
    "type" => $type,
    "category" => $category,
])

<div class="flex">
    <button data-query="{{ $query }}" data-type="{{ $type }}" data-category="{{ $category }}" class="orion-filter rounded-full hover:transition duration-5000 ease-in-out hover:rounded-xl h-24 w-24 bg-black opacity-75 text-white justify-content-center border-2">
        {{ $slot }}
    </button>
</div>